# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="IzkJFg5_PaI~"
NOVELL_FILE32="nm220_full_linux_multi_eval.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 versionator

MY_PV=$(replace_version_separator 3 '-')
MY_PV="${MY_PV/_p/-}"

DESCRIPTION="Novell Messenger Administration ConsoleOne Snapins"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-Messenger-22"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=""

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	>=app-admin/novell-novlc1-1.3.6_p1"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/nm220_full_linux_multi_eval/server/novell-messenger-c1admin-${MY_PV}.i586.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	java-pkg_jarinto /usr/ConsoleOne/snapins/messenger
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/messenger/*.jar
	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/help/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
