# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

NOVELL_BUILDID="_XAeStjRFu8~"
NOVELL_FILE32="patchfiles/gw802_hp3_full_linux_multi.tar.gz"
GWVERSION="8.0.2-96933"
RESTRICT="mirror strip"

inherit novell eutils rpm java-utils-2 multilib versionator

MY_PVV=$(replace_version_separator 3 '-')
MY_PV="${MY_PVV/_p*/}"

DESCRIPTION="Novell ConsoleOne"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-87"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="linguas_de linguas_es linguas_fr linguas_it linguas_ja linguas_pt linguas_ru linguas_zh_CN linguas_zh_TW"

DEPEND="x86? ( || ( net-nds/novell-ndsbase:8.8 net-nds/novell-ndsbase:8.7 )
		|| ( net-nds/novell-novlsas:8.8 net-nds/novell-novlsas:8.7 )
		|| ( app-crypt/novell-npkiapi:8.8 app-crypt/novell-npkiapi:8.7 ) )
	amd64? ( || ( net-nds/novell-ndsbase:8.8[multilib] net-nds/novell-ndsbase:8.7[multilib] )
		|| ( net-nds/novell-novlsas:8.8[multilib] net-nds/novell-novlsas:8.7[multilib] )
		|| ( app-crypt/novell-npkiapi:8.8[multilib] app-crypt/novell-npkiapi:8.7[multilib] ) )"

RDEPEND="virtual/libc
	x86? ( >=virtual/jdk-1.4 )
	amd64? ( >=virtual/jdk-1.4
		=app-emulation/emul-linux-x86-java-1.6* )
	>=dev-java/java-config-2
	dev-java/javahelp
	x86? ( || ( net-nds/novell-ndsbase:8.8 net-nds/novell-ndsbase:8.7 )
		|| ( net-nds/novell-ndscommon:8.8 net-nds/novell-ndscommon:8.7 )
		|| ( net-nds/novell-nldapbase:8.8 net-nds/novell-nldapbase:8.7 )
		|| ( net-nds/novell-nldapsdk:8.8 net-nds/novell-nldapsdk:8.7 )
		|| ( net-nds/novell-novlice:8.8 net-nds/novell-novlice:8.7 )
		|| ( net-nds/novell-novllmgnt:8.8 net-nds/novell-novllmgnt:8.7 )
		|| ( net-nds/novell-novlsas:8.8 net-nds/novell-novlsas:8.7 )
		|| ( net-nds/novell-novlxis:8.8 net-nds/novell-novlxis:8.7 )
		|| ( app-crypt/novell-npkit:8.8 app-crypt/novell-npkit:8.7 )
		|| ( app-crypt/novell-npkiapi:8.8 app-crypt/novell-npkiapi:8.7 ) )
	amd64? ( || ( net-nds/novell-ndsbase:8.8[multilib] net-nds/novell-ndsbase:8.7[multilib] )
		|| ( net-nds/novell-ndscommon:8.8[multilib] net-nds/novell-ndscommon:8.7[multilib] )
		|| ( net-nds/novell-nldapbase:8.8[multilib] net-nds/novell-nldapbase:8.7[multilib] )
		|| ( net-nds/novell-nldapsdk:8.8[multilib] net-nds/novell-nldapsdk:8.7[multilib] )
		|| ( net-nds/novell-novlice:8.8[multilib] net-nds/novell-novlice:8.7[multilib] )
		|| ( net-nds/novell-novllmgnt:8.8[multilib] net-nds/novell-novllmgnt:8.7[multilib] )
		|| ( net-nds/novell-novlsas:8.8[multilib] net-nds/novell-novlsas:8.7[multilib] )
		|| ( net-nds/novell-novlxis:8.8[multilib] net-nds/novell-novlxis:8.7[multilib] )
		|| ( app-crypt/novell-npkit:8.8[multilib] app-crypt/novell-npkit:8.7[multilib] )
		|| ( app-crypt/novell-npkiapi:8.8[multilib] app-crypt/novell-npkiapi:8.7[multilib] ) )
	"

src_unpack() {
	unpack ${A}
	unpack ../work/gw${GWVERSION}_full_linux_multi/consoleone/c1_136h-linux.tar.gz
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/Linux/NOVLc1-${MY_PV}.i386.rpm
	use linguas_de && rpm_unpack ../work/Linux/NOVLc1_de-${MY_PV}.i386.rpm
	use linguas_es && rpm_unpack ../work/Linux/NOVLc1_es-${MY_PV}.i386.rpm
	use linguas_fr && rpm_unpack ../work/Linux/NOVLc1_fr-${MY_PV}.i386.rpm
	use linguas_it && rpm_unpack ../work/Linux/NOVLc1_it-${MY_PV}.i386.rpm
	use linguas_ja && rpm_unpack ../work/Linux/NOVLc1_ja-${MY_PV}.i386.rpm
	use linguas_pt && rpm_unpack ../work/Linux/NOVLc1_pt-${MY_PV}.i386.rpm
	use linguas_ru && rpm_unpack ../work/Linux/NOVLc1_ru-${MY_PV}.i386.rpm
	use linguas_zh_CN && rpm_unpack ../work/Linux/NOVLc1_zh_CN-${MY_PV}.i386.rpm
	use linguas_zh_TW && rpm_unpack ../work/Linux/NOVLc1_zh_TW-${MY_PV}.i386.rpm
	if has_version ">=net-nds/novell-ndsbase-8.8"; then
	    java-pkg_jar-from novell-ndsbase-8.8 jclient.jar
	    java-pkg_jar-from novell-npkiapi-8.8 npki.jar
	    java-pkg_jar-from novell-novlsas-8.8 nssl.jar
	    java-pkg_jar-from novell-novlsas-8.8 jssl.jar
	else
	    java-pkg_jar-from novell-ndsbase-8.7 jclient.jar
	    java-pkg_jar-from novell-npkiapi-8.7 npki.jar
	    java-pkg_jar-from novell-novlsas-8.7 nssl.jar
	    java-pkg_jar-from novell-novlsas-8.7 jssl.jar
	fi
	java-pkg_addcp /usr/ConsoleOne/ConsoleOneExt
	java-pkg_addcp /usr/ConsoleOne/help
	java-pkg_addcp /usr/ConsoleOne/lib
	java-pkg_addcp /usr/ConsoleOne/bin
	java-pkg_addcp /usr/lib
	java-pkg_addcp /opt/novell/eDirectory/lib
	java-pkg_jar-from javahelp
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	java-pkg_jarinto /usr/ConsoleOne
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/*.jar
	java-pkg_jarinto /usr/ConsoleOne/ConsoleOneExt
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/ConsoleOneExt/*.jar
	java-pkg_jarinto /usr/ConsoleOne/lib/core
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/lib/core/*.jar
	java-pkg_jarinto /usr/ConsoleOne/lib/mach
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/lib/mach/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/core
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/resources/core/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/mach
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/resources/mach/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/widgets
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/resources/widgets/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/core
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/core/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/mach
	java-pkg_dojar "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/snapins/mach/*.jar
	into /usr/ConsoleOne
	#dobin "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/bin/*
	#dosed 's%$APPHOME/jre%`java-config --jre-home`%' /usr/ConsoleOne/bin/ConsoleOne
	insinto /usr/ConsoleOne/help
	doins -r "${WORKDIR}"/${PN}-${MY_PV}/usr/ConsoleOne/help/*
	java-pkg_dolauncher ConsoleOne --java_args "-noverify -Dapplication.home=\"/usr/ConsoleOne\" " \
				       --main com.novell.application.console.shell.Console \
				       --pwd /usr/ConsoleOne/bin \
				       -pre "${FILESDIR}"/ConsoleOne-136-pre

#	insinto /usr/ConsoleOne/bin
	doicon "${WORKDIR}"/Linux/ConsoleOneIcon.png

	insinto /usr/share/applications
	doins "${WORKDIR}"/Linux/consoleone.desktop
	dosed 's%/usr/ConsoleOne/bin/ConsoleOneIcon.png%ConsoleOneIcon.png%' /usr/share/applications/consoleone.desktop
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo " - ${NOVELL_FILE32_1}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID_1}"
	einfo "and place them in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}

