# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

NOVELL_BUILDID="2twa33-Wteo~"
NOVELL_FILE32="radius.zip"
NOVELL_BUILDID_1="nKXUBz8BHNI~"
NOVELL_FILE32_1="patchfiles/radatr4.exe"
RESTRICT="mirror strip"

inherit novell eutils java-utils-2

DESCRIPTION="Novell RADIUS Snap-in"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}
	http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID_1}/${NOVELL_FILE32_1}"

LICENSE="Novell-ConsoleOne-SnapIn"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=app-arch/p7zip-4.15
	!app-admin/novell-consoleone-radius-snapin"

RDEPEND="virtual/libc
	>=virtual/jdk-1.4
	>=app-admin/novell-novlc1-1.3.6_p1"

src_unpack() {
	unpack ${NOVELL_FILE32}
	cd ${WORKDIR}
	7z x "${DISTDIR}"/radatr4.exe
}

src_compile() { :; }

src_install() {
	java-pkg_jarinto /usr/ConsoleOne/lib/radius
	java-pkg_dojar ${WORKDIR}/lib/security/*.jar
	java-pkg_jarinto /usr/ConsoleOne/resources/radius
	java-pkg_dojar ${WORKDIR}/resources/security/*.jar
	java-pkg_jarinto /usr/ConsoleOne/snapins/radius
	java-pkg_dojar ${WORKDIR}/snapins/security/*.jar
	insinto /usr/ConsoleOne/help
	doins -r ${WORKDIR}/help/*
	insinto /usr/ConsoleOne/bin
	newins ${WORKDIR}/Radius.atr radius.atr
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo " - ${NOVELL_FILE32_1}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID_1}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}

