# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=1

NOVELL_BUILDID="N848u3D7BjQ~"
NOVELL_FILE32="Novell_Client_11.0-i386-20081003-CD1.iso"
NOVELL_FILE64="Novell_Client_11.0-x86_64-20081003-CD1.iso"
RESTRICT="mirror strip"

inherit novell eutils rpm qt3 versionator

MY_PVV=$(replace_version_separator 3 '-' $(replace_version_separator 2 '_') )
MY_PV="${MY_PVV/_/.b}"


DESCRIPTION="Novell Network Nautilus Plugin"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32} )
	amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE64} )"

LICENSE="Novell-NCL"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="gtk linguas_cs_CZ linguas_de_DE linguas_en_US linguas_es_ES linguas_fr_FR linguas_hu_HU linguas_it_IT linguas_ja_JP linguas_pl_PL linguas_pt_BR linguas_ru_RU linguas_sk_SK linguas_zh_CN linguas_zh_TW"

DEPEND=""

RDEPEND="virtual/libc
	virtual/fam
	x11-libs/qt:3
	>=dev-libs/atk-1.10.3
	>=dev-libs/glib-2.8.5
	>=gnome-base/gconf-2.12.1
	>=gnome-base/libbonobo-2.10.1
	>=gnome-base/orbit-2.12.14
	>=gnome-base/nautilus-2.10.2
	>=kde-misc/novell-ui-base-2.0.0_p4
	>=media-libs/fontconfig-2.3.94
	>=media-libs/freetype-2.1.10
	>=media-libs/glitz-0.4.4
	>=media-libs/libpng-1.2.8
	>=net-libs/openslp-1.2.0
	>=sys-libs/novell-xplatlib-1.0.3_p31
	>=x11-libs/cairo-1.0.2
	>=x11-libs/gtk+-2.8.10
	>=x11-libs/libICE-1.0
	>=x11-libs/libSM-1.0
	>=x11-libs/libX11-1.0
	>=x11-libs/libXext-1.0
	>=x11-libs/libXrender-0.9
	>=sys-devel/gcc-4.1
	>=sys-libs/zlib-1.2.3"
#	>=gnome-base/gnome-vfs-2.12.2



src_unpack() {
	cd "${WORKDIR}"
	if use x86
	then
	    narch=i586
	    nlib=lib
	    7z x "${DISTDIR}"/${NOVELL_FILE32}
	elif use amd64
	then
	    narch=x86_64
	    nlib=lib64
	    7z x "${DISTDIR}"/${NOVELL_FILE64}
	fi
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack "${WORKDIR}"/suse/${narch}/${PN}-${MY_PV}.${narch}.rpm
}

src_compile() {
	EXTENSIONDIR=`pkg-config --variable=extensiondir libnautilus-extension`
#	GNOMEVFSMODDIR=`pkg-config --variable=libdir gnome-vfs-2.0`/gnome-vfs-2.0/modules
#	GNOMEVFSLIBDIR=`pkg-config --variable=libdir gnome-vfs-2.0`
}

src_install() {
	for x in cs_CZ de_DE en_US es_ES fr_FR hu_HU it_IT ja_JP pl_PL pt_BR ru_RU sk_SK zh_CN zh_TW
	do
	    if use linguas_${x}
	    then
		cp "${WORKDIR}"/${PN}-${MY_PV}/usr/share/locale/${x}/LC_MESSAGES/${PN}.mo "${WORKDIR}"/${x}.mo
		domo "${WORKDIR}"/${x}.mo
	    fi
	done
	exeinto ${EXTENSIONDIR}
	doexe "${WORKDIR}"/${PN}-${MY_PV}/usr/${nlib}/nautilus/extensions-2.0/*
#	exeinto ${GNOMEVFSMODDIR}
#	doexe "${WORKDIR}"/${PN}-${MY_PV}/opt/gnome/${nlib}/gnome-vfs-2.0/modules/*
#	exeinto ${GNOMEVFSLIBDIR}
#	doexe "${WORKDIR}"/${PN}-${MY_PV}/opt/gnome/${nlib}/*.so
#	insinto /etc/gnome-vfs-2.0/modules
#	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/gnome/gnome-vfs-2.0/modules/*
	dodoc "${WORKDIR}"/${PN}-${MY_PV}/usr/share/doc/packages/${PN}/*
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	if use x86
	then
	    einfo " - ${NOVELL_FILE32}"
	elif use amd64
	then
	    einfo " - ${NOVELL_FILE64}"
	fi
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
