# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID="LYlbZMAom6k~"
NOVELL_FILE32="patchfiles/ss206_SLAH.tgz"
RESTRICT="mirror strip"

inherit novell eutils rpm multilib

MY_PV="${PV/_p/-}"

DESCRIPTION="Novell Transport Security Layer"
HOMEPAGE="http://www.novell.com"
SRC_URI="http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID}/${NOVELL_FILE32}"

LICENSE="Novell-eDir-88"
SLOT="8.7"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="!net-misc/novell-ntls:0
	!net-misc/novell-ntls:8.8"

RDEPEND="virtual/libc
	net-nds/novell-env
	>=app-crypt/novell-nici-2.7.3_p001"

src_unpack() {
	unpack ${A}
	mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
	cd ${PN}-${MY_PV}
	rpm_unpack ../work/Linux/eDir87x/novell-ntls-${MY_PV}.i386.rpm
}

src_compile() { :; }

src_install() {
	has_multilib_profile && ABI="x86"

	into /opt/novell
	dolib "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/lib/*
	dosym /opt/novell/$(get_libdir)/libntls.so /usr/$(get_libdir)/libntls.so
}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
