# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="1"

NOVELL_BUILDID32="63eV_vS9dv4~"
NOVELL_FILE32="eDirectory_88SP5_Linux_i586.tar.gz"
NOVELL_BUILDID64="ffdH4AJgrFs~"                   
NOVELL_FILE64="eDirectory_88SP5_Linux_x86_64.tar.gz"
RESTRICT="mirror strip"

inherit novell eutils rpm multilib versionator

MY_PV=$(replace_version_separator 3 '-')

DESCRIPTION="Novell Sentinel Event Infrastructure"
HOMEPAGE="http://www.novell.com"
SRC_URI="x86? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID32}/${NOVELL_FILE32} )
        amd64? ( http://${NOVELL_ACCOUNT_USERNAME}:${NOVELL_ACCOUNT_PASSWORD}@cdn.novell.com/prot/${NOVELL_BUILDID64}/${NOVELL_FILE64} )"

LICENSE="Novell-eDir-88"
SLOT="8.8"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=""

RDEPEND="virtual/libc
	net-nds/novell-sentinelplatformagent-env"

src_unpack() {
        cd "${WORKDIR}"
        unpack ${A}    
        if use x86     
        then           
            narch=i586 
            nlib=lib   
            ndir=Linux 
        elif use amd64 
        then           
            narch=x86_64
            nlib=lib64  
            ndir=Linux64
        fi              
        mkdir -p "${WORKDIR}"/${PN}-${MY_PV}
        cd ${PN}-${MY_PV}                   
        rpm_unpack ../work/eDirectory/setup/novell-Sentinelplatformagent-${MY_PV}.${narch}.rpm
}                                                                        

src_compile() { :; }

src_install() {
	into /opt/novell/sentinelpa/
	dobin "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/sentinelpa/bin/*
	dolib.so "${WORKDIR}"/${PN}-${MY_PV}/opt/novell/sentinelpa/${nlib}/*.*

	insinto /etc/opt/novell/sentinelpa/conf
	doins "${WORKDIR}"/${PN}-${MY_PV}/etc/opt/novell/sentinelpa/conf/*.*

	keepdir /var/opt/novell/sentinelpa/data
	keepdir /var/opt/novell/sentinelpa/log
}

#pkg_postinst(){
#	/usr/bin/ether
#}

pkg_nofetch() {
	einfo "This files require you to register at ${HOMEPAGE} (free account)"
	einfo "Please download following file:"
	einfo " - ${NOVELL_FILE32}"
	einfo "from http://download.novell.com/Download?buildid=${NOVELL_BUILDID}"
	einfo "and place it in ${DISTDIR}"
	einfo ""
	einfo "To get rid of downloading files from ${HOMEPAGE}"
	einfo "you can create a file /etc/portage/novell.acc"
	einfo "containing the novell account infos with following commands"
	einfo "# echo \"NOVELL_ACCOUNT_USERNAME=\\\"balduin\\\"\" >> /etc/portage/novell.acc"
	einfo "# echo \"NOVELL_ACCOUNT_PASSWORD=\\\"derfisch\\\"\" >> /etc/portage/novell.acc"
}
